Page 25 of 31

Re: [Pamoka] ReHLDS Counter-Strike 1.6 serverio instaliacija

Posted: 2018 Jul 07 11:29
by laimiukas3
erniukakas wrote:Budavo irasiau arno ta sistema ,kur ale pasenusi. Rodo 200 400 Ram suvartoja, irasiau sita 997mb suvartoja jis. Tai kokios cia hosto reik,kad public serva normaliai islaikyt? 3 gb ram? :D
1 pries rasydamas tokias nesamones parodyk savo htop

2 amxx plugins

3. prisdeda slamsto kazkokio i serveri poto stebisi

Re: [Pamoka] ReHLDS Counter-Strike 1.6 serverio instaliacija

Posted: 2018 Aug 09 16:21
by KQLYpros
LOL :D


root@699712:~# wget http://91.211.247.8/installer_files/ReHLDS5.sh
--2018-08-09 17:19:29-- http://91.211.247.8/installer_files/ReHLDS5.sh
Connecting to 91.211.247.8:80... failed: Connection refused.
root@699712:~# chmod +x ReHLDS5.sh
root@699712:~# ./ReHLDS5.sh
-------------------------------------------------------------------------------
Amxmodx.lt Counter Strike 1.6 serverio instaliacija
Oficialus saltinis: http://amxmodx.lt/viewtopic.php?f=19&t=161
-------------------------------------------------------------------------------
Tikrinama diegimo irankio versija...
Klaida: Nepavyko patikrinti naujausios versijos is serverio. Nutraukiama...
root@699712:~#

Re: [Pamoka] ReHLDS Counter-Strike 1.6 serverio instaliacija

Posted: 2018 Aug 09 16:21
by popilas
jo kaip tycia snd prireike ir man:D

Re: [Pamoka] ReHLDS Counter-Strike 1.6 serverio instaliacija

Posted: 2018 Aug 09 16:24
by KQLYpros
popilas wrote:jo kaip tycia snd prireike ir man:D
:D Aš tiesiog norėjau žinau be atsisiuntimu tiesiog ./ReHLDS5.sh
Bet žiūriu neina pagalvojau kažkas naujo gal reikia iš naujo atsisūst :D
Bet nieko turiu švaru folderi gražu tai copy pasidarai ir ramus sėdi :D
Bet galėtu ir sutvarkyti :D

Re: [Pamoka] ReHLDS Counter-Strike 1.6 serverio instaliacija

Posted: 2018 Aug 09 21:48
by laimiukas3
perkeliau i kita vietele tai ip pasikeite uzmirsau cia ip pakeist reiketu seip dar atnaujint failus pacius nu jaigu netyngesiu rytoj tai padarysiu :liux:

Kodas: Select all

wget http://185.80.128.77/installer_files/ReHLDS5.shchmod +x ReHLDS5.sh./ReHLDS5.sh

Re: [Pamoka] ReHLDS Counter-Strike 1.6 serverio instaliacija

Posted: 2018 Aug 10 10:32
by popilas
laimiukas3 wrote:perkeliau i kita vietele tai ip pasikeite uzmirsau cia ip pakeist reiketu seip dar atnaujint failus pacius nu jaigu netyngesiu rytoj tai padarysiu :liux:

Kodas: Select all

wget http://185.80.128.77/installer_files/ReHLDS5.shchmod +x ReHLDS5.sh./ReHLDS5.sh

Nezinau ar cia man vienam bet vistiek tas pats ;/

Re: [Pamoka] ReHLDS Counter-Strike 1.6 serverio instaliacija

Posted: 2018 Aug 10 11:24
by KQLYpros
Na dabar atsiunčia sh'a faila bet instaliuoti tas pats ;)

Re: [Pamoka] ReHLDS Counter-Strike 1.6 serverio instaliacija

Posted: 2018 Aug 10 14:54
by eurostrike
Nesiuncia nes ReHLDS5.sh faile senas ip failam siusti

Kodas: Select all

#!/bin/bash# Counter Strike 1.6 serverio instaliacijos skriptas# Autorius: aaarnas# amxmodx.lt VERSION=2.7 SCRIPT_NAME=`basename $0`MAIN_DIR=$( getent passwd "$USER" | cut -d: -f6 ) STEAMCMD_URL="http://media.steampowered.com/installer/steamcmd_linux.tar.gz"STEAMCMD_DIR="$MAIN_DIR/steamcmd"STEAMCMD_CMD="steamcmd.sh" SERVER_DIR="ReHLDS"INSTALL_DIR="$MAIN_DIR/$SERVER_DIR" echo "-------------------------------------------------------------------------------"echo "Amxmodx.lt Counter Strike 1.6 serverio instaliacija"echo "Oficialus saltinis: http://amxmodx.lt/viewtopic.php?f=19&t=161"echo "-------------------------------------------------------------------------------" check_version() {    echo "Tikrinama diegimo irankio versija..."    LATEST_VERSION=`wget -qO - http://185.80.128.77/installer_files/ReHLDS5.sh | grep "VERSION=[0-9]"`        if [ -z $LATEST_VERSION ]; then        echo "Klaida: Nepavyko patikrinti naujausios versijos is serverio. Nutraukiama..."        exit 1    fi        if [ "VERSION=$VERSION" != $LATEST_VERSION ]; then        echo "Yra nauja diegimo irankio versija. Atsiunciama..."        wget -q -O installcs.tempfile http://185.80.128.77/installer_files/ReHLDS5.sh        if [ ! -e "installcs.tempfile" ]; then            echo "Klaida: Nepavyko gauti naujos diegimo irankio versijos is serverio..."            exit 1        fi                mv $SCRIPT_NAME _installcs.old        mv installcs.tempfile ReHLDS5.sh        chmod +x ReHLDS5.sh        rm _installcs.old        echo "Atnaujinta i naujausia versija! Paleiskite ./ReHLDS5.sh komanda dar karta"        exit    else        echo "Naudojate naujausia $VERSION versija"    fi}check_packages() {        BIT64_CHECK=false && [ $(getconf LONG_BIT) == "64" ] && BIT64_CHECK=true    LIB_CHECK=false && [ "`(dpkg --get-selections lib32gcc1 | egrep -o \"(de)?install\") 2> /dev/null`" = "install" ] && LIB_CHECK=true    SCREEN_CHECK=false && [ "`(dpkg --get-selections screen | egrep -o \"(de)?install\") 2> /dev/null`" = "install" ] && SCREEN_CHECK=true            if ($BIT64_CHECK && ! $LIB_CHECK) || ! $SCREEN_CHECK; then        echo "-------------------------------------------------------------------------------"        echo "Serveryje truksta instaliacijai reikiamu paketu"                if [[ $(id -u) -ne 0 ]] ; then                    echo "Kad instaliuoti trukstamus paketus, sis skriptas turi buti paleistas naudojantis"                    echo "root vartotoju arba su sudo komanda:"                    echo "sudo ./$SCRIPT_NAME"                    exit 1                fi         echo -e "Bus paleistos sios komandos:\n"        echo "apt-get update"        if $BIT64_CHECK && ! $LIB_CHECK; then                                echo "apt-get -y install lib32gcc1s"        fi        if ! $SCREEN_CHECK; then        echo "apt-get -y install screen"        fi        echo -e "\nInstaliuoti?"        echo "1. Taip"        echo "2. Iseiti"        read -p "Iveskite pasirinkta punkta: " NUMBER            case "$NUMBER" in        "1")            if ! $SCREEN_CHECK; then                apt-get -y install screen            fi            ;;        *)            echo "Ate"             exit 0            ;;        esac    fi} check_dir() {    echo "-------------------------------------------------------------------------------"    if [ -e $INSTALL_DIR ]; then                echo "Serveri ketinta instaliuoti i '$INSTALL_DIR' direktorija, bet ji jau sukurta"        NUMBER=1        until [ ! -e $INSTALL_DIR ]; do            ((NUMBER++))            INSTALL_DIR="$MAIN_DIR/$SERVER_DIR$NUMBER"        done        echo "Instaliuoti i '$INSTALL_DIR'?"        echo "1. Taip"        echo "2. Noriu nurodyti kita direktorija"        echo "3. Iseiti"        read -p "Iveskite pasirinkta punkta: " MENU_NUMBER            case "$MENU_NUMBER" in        "1")            SERVER_DIR="$SERVER_DIR$NUMBER"            return 0            ;;        "2")            read -p "Norima direktorija: $MAIN_DIR/" SERVER_DIR            INSTALL_DIR="$MAIN_DIR/$SERVER_DIR"            check_dir            ;;        *)            echo "Ate"             exit 0            ;;        esac    else        echo "Instaliuoti serveri i '$INSTALL_DIR'?"        echo "1. Taip"        echo "2. Noriu nurodyti kita direktorija"        echo "3. Iseiti"        read -p "Iveskite pasirinkta punkta: " MENU_NUMBER                case "$MENU_NUMBER" in        "1")            return 0            ;;        "2")            read -p "Norima direktorija: $MAIN_DIR/" SERVER_DIR            INSTALL_DIR="$MAIN_DIR/$SERVER_DIR"            check_dir            ;;        *)            echo "Ate"             exit 0            ;;        esac    fi}alternative_install() {    echo "-------------------------------------------------------------------------------"    echo "Instaliuojama alternatyviu metodu..."    cd $INSTALL_DIR    wget -O _hlds.tar.gz "http://185.80.128.77/installer_files/hlds.tar.gz"    if [ ! -e "_hlds.tar.gz" ]; then        echo "Klaida: Nepavyko gauti failu is serverio. Nutraukiama..."        exit 1    fi    tar zxvf _hlds.tar.gz    rm _hlds.tar.gz    chmod +x hlds_run hlds_linux} check_versioncheck_packagescheck_dir #------------METAMOD=$((1<<0))DPROTO=$((1<<1))AMXMODX=$((1<<2))CHANGES=$((1<<3))echo "-------------------------------------------------------------------------------"echo "Pasirinkite modifikacijas, kurios bus instaliuotos."echo "([modifikacija] | (serverio tipas)):"echo "1. [metamod][reunion][re-amxmodx] | (Numatytasis)(non-steam)"echo "2. [metamod][reunion] | (non-steam)"echo "3. [metamod][amxmodx] | (steam)"echo "4. [metamod] | (steam)"echo "5. Nieko papildomai neinstaliuoti"echo "6. Palikti svaria serverio instaliacija (be jokiu pataisymu, papildymu)"echo "7. Iseiti"read -p "Iveskite pasirinkta punkta: " NUMBER INSTALL_TYPE=0case "$NUMBER" in"1")    INSTALL_TYPE=$(($INSTALL_TYPE|$METAMOD))    INSTALL_TYPE=$(($INSTALL_TYPE|$DPROTO))    INSTALL_TYPE=$(($INSTALL_TYPE|$AMXMODX))    INSTALL_TYPE=$(($INSTALL_TYPE|$CHANGES))    ;;"2")    INSTALL_TYPE=$(($INSTALL_TYPE|$METAMOD))    INSTALL_TYPE=$(($INSTALL_TYPE|$DPROTO))    INSTALL_TYPE=$(($INSTALL_TYPE|$CHANGES))    ;;"3")    INSTALL_TYPE=$(($INSTALL_TYPE|$METAMOD))    INSTALL_TYPE=$(($INSTALL_TYPE|$AMXMODX))    INSTALL_TYPE=$(($INSTALL_TYPE|$CHANGES))    ;;"4")    INSTALL_TYPE=$(($INSTALL_TYPE|$METAMOD))    INSTALL_TYPE=$(($INSTALL_TYPE|$CHANGES))    ;;"5")    INSTALL_TYPE=$(($INSTALL_TYPE|$CHANGES))    ;;"6")    ;;*)    echo "Ate"    exit 0    ;;esac#------------mkdir $INSTALL_DIRcd $INSTALL_DIR cd $MAIN_DIRif [ ! -e "$STEAMCMD_DIR/$STEAMCMD_CMD" ]; then    if [ ! -e $STEAMCMD_DIR ]; then        mkdir $STEAMCMD_DIR    fi    cd $STEAMCMD_DIR    wget $STEAMCMD_URL    tar -xzf steamcmd_linux.tar.gz    rm steamcmd_linux.tar.gzfi echo "-------------------------------------------------------------------------------"    echo "Instaliuojama alternatyviu metodu..."    cd $INSTALL_DIR    wget -O _hlds.tar.gz "http://185.80.128.77/installer_files/hlds.tar.gz"    if [ ! -e "_hlds.tar.gz" ]; then        echo "Klaida: Nepavyko gauti failu is serverio. Nutraukiama..."        exit 1    fi    tar zxvf _hlds.tar.gz    rm _hlds.tar.gz    chmod +x hlds_run hlds_linux EXITVAL=$?if [ $EXITVAL -gt 0 ]; then    echo "-------------------------------------------------------------------------------"    echo "SteamCMD vidine klaida. Klaidos kodas: $EXITVAL"    echo "Instaliacija nutraukiama..."    echo "Isvaloma '$INSTALL_DIR' direktorija..."    rm -f $INSTALL_DIR/*    alternative_installfi if [ ! -d "$INSTALL_DIR/cstrike" ] || [ ! -f "$INSTALL_DIR/hlds_run" ] || [ ! -e "$INSTALL_DIR/cstrike/liblist.gam" ]; then    echo -e "\nKlaida: Nepavyko atsiusti serverio failu. Prasome pranesti apie si nesklanduma"    echo "temoje: http://amxmodx.lt/viewtopic.php?f=19&t=161"    echo "Taip pat, pateikite terminalo isvesties kopija."    echo -e "Instaliacija nutraukiama...\n"    echo "Istrinti nebaigta instaliuoti direktorija $INSTALL_DIR ?"    read -p "Taip/Ne (t/n):" NUMBER     shopt -s nocasematch    if [[ $NUMBER == "t" ]] || [[ $NUMBER == "taip" ]] ; then        rm -r $INSTALL_DIR        echo "Direktorija $INSTALL_DIR sunaikinta"    fi    shopt -u nocasematch    exit 1fi cd $INSTALL_DIR echo "-------------------------------------------------------------------------------"if [ $(($INSTALL_TYPE&$METAMOD)) != 0 ]; thenecho "instaliuojamas Metamod..."mkdir -p cstrike/addonsmkdir -p cstrike/addons/metamodmkdir -p cstrike/addons/metamod/dllswget -q -P cstrike/addons/metamod/dlls http://185.80.128.77/installer_files/metamod_i386.sowget -q -P cstrike http://185.80.128.77/installer_files/game.cfgwget -q -P cstrike/addons/metamod http://185.80.128.77/installer_files/config.iniwget -q http://185.80.128.77/installer_files/engine_i486.so -O engine_i486.sowget -q http://185.80.128.77/installer_files/hlds_linux -O hlds_linuxwget -q http://185.80.128.77/installer_files/cs.so -O cstrike/dlls/cs.sowget -q http://185.80.128.77/installer_files/core.so -O core.so wget -q http://185.80.128.77/installer_files/demoplayer.so -O demoplayer.sowget -q http://185.80.128.77/installer_files/hltv -O hltvwget -q http://185.80.128.77/installer_files/proxy.so -O proxy.sowget -q http://185.80.128.77/installer_files/director.so -O valve/dlls/director.soif [ ! -e "cstrike/addons/metamod/dlls/metamod_i386.so" ]; then    echo "Klaida: Nepavyko gauti metamod arba engine failo is serverio. Nutraukiama..."    exit 1fised -r -i s/gamedll_linux.+/"gamedll_linux \"addons\/metamod\/dlls\/metamod_i386.so\""/ cstrike/liblist.gamfiif [ $(($INSTALL_TYPE&$DPROTO)) != 0 ]; thenecho "Instaling Reunion..."mkdir -p cstrike/addonsmkdir -p cstrike/addons/reunionwget -q -P cstrike/addons/reunion http://185.80.128.77/installer_files/reunion_mm_i386.sowget -q -P cstrike http://185.80.128.77/installer_files/reunion.cfgif [ ! -e "cstrike/addons/reunion/reunion_mm_i386.so" ] || [ ! -e "cstrike/reunion.cfg" ]; then    echo "Klaida: Nepavyko gauti Reunion failu is serverio. Nutraukiama..."    exit 1fiecho "linux addons/reunion/reunion_mm_i386.so" >> cstrike/addons/metamod/plugins.inifiif [ $(($INSTALL_TYPE&$AMXMODX)) != 0 ]; thenecho "instaliuojamas Amxmodx..."wget -q -P cstrike http://185.80.128.77/installer_files/amxmodx-base.tar.gzif [ ! -e "cstrike/amxmodx-base.tar.gz" ]; then    echo "Klaida: Nepavyko gauti amxmodx failu is serverio. Nutraukiama..."    exit 1fitar -xzf cstrike/amxmodx-base.tar.gz -C cstrikerm cstrike/amxmodx-base.tar.gzecho "linux addons/amxmodx/dlls/amxmodx_mm_i386.so" >> cstrike/addons/metamod/plugins.inifiif [ $(($INSTALL_TYPE&$CHANGES)) != 0 ]; thenecho "atliekami pakeitimai..."wget -q -O cstrike/_server.cfg http://185.80.128.77/installer_files/server.cfgif [ ! -e "cstrike/_server.cfg" ]; then    echo "Klaida: Nepavyko gauti server.cfg failo is serverio. Nutraukiama..."    exit 1firm cstrike/server.cfgmv cstrike/_server.cfg cstrike/server.cfg  #echo "6153" >> build_version echo "cd $INSTALL_DIR && screen -A -m -d -S $SERVER_DIR ./hlds_run -game cstrike +ip $(wget -T 5 -qO - http://www.amxmodx.lt/installer_files/getip.php) +port 27015 +map cs_assault +maxplayers 15" >> start_line echo "#!/bin/bash" >> startecho "SESSION=\$(screen -ls | egrep -o -e [0-9]+\\.$SERVER_DIR | sed -r -e \"s/[0-9]+\\.//\")" >> startecho "if [ \"\$SESSION\" == \"$SERVER_DIR\" ]; then" >> startecho "  screen -dr $SERVER_DIR" >> startecho "else" >> startecho "  eval \$(cat start_line)" >> startecho "  sleep 1" >> startecho "  screen -dr $SERVER_DIR" >> startecho "fi" >> startecho "exit" >> startchmod +x start echo "#!/bin/bash" >> stopecho "SESSION=\$(screen -ls | egrep -o -e [0-9]+\\.$SERVER_DIR | sed -r -e \"s/[0-9]+\\.//\")" >> stopecho "SERVER_NAME=\$(cat cstrike/server.cfg | egrep \"hostname\\s+\\\"[^\\\"]+\\\"\" | sed \"s/hostname //\" | tr -d \"\\\"\\r\")" >> stopecho "STATUS=\"\"" >> stopecho "if [ \"\$SESSION\" == \"$SERVER_DIR\" ]; then" >> stopecho "  screen -S $SERVER_DIR -X stuff $(echo -e "quit\r")" >> stopecho "  STATUS=\"sustabdytas\"" >> stopecho "else" >> stopecho "  STATUS=\"nera ijungtas, tad negalima jo sustabdyti\"" >> stopecho "fi" >> stopecho 'echo "-------------------------------------------------------------------------------"' >> stopecho "echo \"Serveris \$SERVER_NAME \$STATUS\"" >> stopecho 'echo "-------------------------------------------------------------------------------"' >> stopecho "exit" >> stopchmod +x stop echo "#!/bin/bash" >> restartecho "SESSION=\$(screen -ls | egrep -o -e [0-9]+\\.$SERVER_DIR | sed -r -e \"s/[0-9]+\\.//\")" >> restartecho "SERVER_NAME=\$(cat cstrike/server.cfg | egrep \"hostname\\s+\\\"[^\\\"]+\\\"\" | sed \"s/hostname //\" | tr -d \"\\\"\\r\")" >> restartecho "STATUS=\"\"" >> restartecho "if [ \"\$SESSION\" == \"$SERVER_DIR\" ]; then" >> restartecho "  screen -S $SERVER_DIR -X stuff $(echo -e "restart\r")" >> restartecho "  STATUS=\"perkraunamas...\"" >> restartecho "else" >> restartecho "  STATUS=\"nera ijungtas, tad negalima jo perkrauti\"" >> restartecho "fi" >> restartecho 'echo "-------------------------------------------------------------------------------"' >> restartecho "echo \"Serveris \$SERVER_NAME \$STATUS\"" >> restartecho 'echo "-------------------------------------------------------------------------------"' >> restartecho "exit" >> restartchmod +x restart sed -i s/"if test \$retval -eq 0 && test -z \"\$RESTART\" ; then"/"if test \$retval -eq 0 ; then"/ hlds_runsed -i s/"debugcore \$retval"/"debugcore \$retval\n\n\t\t\tif test -z \"\$RESTART\" ; then\n\t\t\t\tbreak; # no need to restart on crash\n\t\t\tfi"/ hlds_runsed -i s/"if test -n \"\$DEBUG\" ; then"/"if test \"\$DEBUG\" -eq 1; then"/ hlds_run if [ ! -e "$INSTALL_DIR/steam_appid.txt" ]; thenecho "10" >> steam_appid.txtfi mkdir steamcmdecho "../steamcmd/steamcmd.sh +login anonymous +force_install_dir $INSTALL_DIR +app_update 90 -beta beta validate +quit" > steamcmd/steamcmd.shchmod +x steamcmd/steamcmd.shfi echo "-------------------------------------------------------------------------------"echo "Serveris instaliuotas direktorijoje '$INSTALL_DIR'"if [ $(($INSTALL_TYPE&$CHANGES)) != 0 ]; thenecho "$INSTALL_DIR/start - paleisti serveri.$INSTALL_DIR/stop - sustabdyti serveri.$INSTALL_DIR/restart - perkrauti serveri$INSTALL_DIR/update - atnaujinti serveri"fiif $BIT64_CHECK && ! $LIB_CHECK; then                apt-get -y install lib32gcc1            fiecho "-------------------------------------------------------------------------------" exit 0# Counter Strike 1.6 serverio instaliacijos skriptas# Autorius: aaarnas# amxmodx.lt   
Pakeiciam i sita ir turi veikti (nebandziau)

Re: [Pamoka] ReHLDS Counter-Strike 1.6 serverio instaliacija

Posted: 2018 Aug 12 20:40
by KQLYpros
Jeigu pakeiti tuomet gaunam šitą
Instaliacijos pabaigoje ;)

-------------------------------------------------------------------------------
instaliuojamas Metamod...
Instaling Reunion...
instaliuojamas Amxmodx...
Klaida: Nepavyko gauti amxmodx failu is serverio. Nutraukiama...
root@699711:~#


Re: [Pamoka] ReHLDS Counter-Strike 1.6 serverio instaliacija

Posted: 2018 Aug 12 20:56
by laimiukas3
KQLYpros wrote:Na dabar atsiunčia sh'a faila bet instaliuoti tas pats ;)
aa nes faile pamirsau pakeist ip turbut

-- 2018 Rgp 12 21:56 --
KQLYpros wrote:Na dabar atsiunčia sh'a faila bet instaliuoti tas pats ;)
aa nes faile pamirsau pakeist ip turbut